Subject: [clisp-list] Read-line error?

From: David Kaasen <[email-masked]>
Date: Wed, 12 Apr 2000 11:04:12 +0200 (CEST)

Hello!

I am getting a strange error with my text editor written
in Clisp.

My settings are:

clisp --version = CLISP 2000-03-06 (March 2000)
uname -a = SunOS eros 5.7 Generic_106541-08 sun4u sparc

It happens when I use (read-line) to read text strings from
the terminal. In my program I also use (with-keyboard ...
(read-char *keyboard-input*)), and I use ANSI escape
sequences quite much. I don't use ffi.

The error message says:

*** - handle_fault error2 ! address = 0xDCB8 not in
[0x19BE6000,0x19D016C0) !
SIGSEGV cannot be cured. Fault address = 0xDCB8.
Segmentation Fault

or sometimes only:

Segmentation Fault

It also happens that the screen gets messed up when I enter
characters (to read-line). And sometimes, it works as it should.

Do you have any idea of what is wrong?

Regards, David Kaasen.